Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp2
Class Mtp2AlarmNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamAlarmNotification
                        |
                        +--jain.protocol.ss7.oam.mtp2.Mtp2AlarmNotification

public class Mtp2AlarmNotification
extends OamAlarmNotification

A Mtp2AlarmNotification is an Notification emitted by a Mtp2 Managed MBean(MBean) to indicate a change in status of the MBean. This state change may result from :

- a create/delete/modify operation by an application that expliciltly changes the state of the MBean.
- a change in the SS7 Network that implicitly changes the state of it's associated MBean.
- a timer within a Timer MBean expiring.

This Mtp2AlarmNotification should be sent to all applications that have registered with the Mtp2 MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `MTP2_ALARM_REMOTE_CONGESTION_START` Alarm Type Constant: Remote end congestion started due to unknown cause.
`static int` | `MTP2_ALARM_REMOTE_CONGESTION_STOP` Alarm Type Constant: Remote end congestion stopped.
`static int` | `MTP2_ALARM_RETRANSMIT_Q_FULL` Alarm Type Constant: Retransmit queue full.
`static int` | `MTP2_ALARM_RETRANSMIT_Q_NOT_FULL` Alarm Type Constant: Retransmit queue is no longer full.
`static int` | `MTP2_ALARM_SL_ABNORMAL_FIBR_BSNR` Alarm Type Constant: Indicates a signalling link failure due to an abnormal FIBR or BSNR of a signalling link.
`static int` | `MTP2_ALARM_SL_ALIGNED` Alarm Type Constant: Link aligned.
`static int` | `MTP2_ALARM_SL_CONGESTION_START` Alarm Type Constant: Link entered congestion due to management initiated or unknown reason.
`static int` | `MTP2_ALARM_SL_CONGESTION_STOP` Alarm Type Constant: Link leaving congestion due to management initiated or unknown reason.
`static int` | `MTP2_ALARM_SL_DOWN_PHYSICAL` Alarm Type Constant: Link is down at physical level.
`static int` | `MTP2_ALARM_SL_EXCESSIVE_DELAY_ACK` Alarm Type Constant: Indicates a signalling link failure due to an excessive delay of ack of a signalling link.
`static int` | `MTP2_ALARM_SL_NOT_ALIGNED` Alarm Type Constant: Link not aligned.
`static int` | `MTP2_ALARM_SL_START_REMOTE_PROCESSOR_OUTAGE` Alarm Type Constant: Indicates the start of remote processor outage.
`static int` | `MTP2_ALARM_SL_UP_PHYSICAL` Alarm Type Constant: Link is up at physical level.

Fields inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`ALARM_MO_ATTRIBUTE_VALUE_CHANGED, ALARM_MO_CREATED, ALARM_MO_DELETED, ALARM_TIMER_EXPIRED, PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_INFORMATIONAL, PRIORITY_LOW, PRIORITY_VENDOR_DEFINED`

Constructor Summary
`Mtp2AlarmNotification(OamManagedObjectMBean source, long sequenceNumber, int priority, int alarmType)` Constructs a new `Mtp2AlarmNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`getAlarmType, getPriority, getTimerId, getTimestamp, setPriority, setTimerId`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MTP2_ALARM_SL_ABNORMAL_FIBR_BSNR

    public static final int MTP2_ALARM_SL_ABNORMAL_FIBR_BSNR

  Alarm Type Constant: Indicates a signalling link failure due to an abnormal FIBR or BSNR of a signalling link.

  Reference: (ITU Q.703, 5.3)
  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_abnormal_fibr_bsnr".

### MTP2_ALARM_SL_EXCESSIVE_DELAY_ACK

    public static final int MTP2_ALARM_SL_EXCESSIVE_DELAY_ACK

  Alarm Type Constant: Indicates a signalling link failure due to an excessive delay of ack of a signalling link.

  Reference: (ITU Q.703, 5.3.1)
  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_excessive_delay_ack".

### MTP2_ALARM_SL_START_REMOTE_PROCESSOR_OUTAGE

    public static final int MTP2_ALARM_SL_START_REMOTE_PROCESSOR_OUTAGE

  Alarm Type Constant: Indicates the start of remote processor outage.

  Reference: (ITU Q.704, 3.2.6)
  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_start_remote_processor_outage".

### MTP2_ALARM_SL_CONGESTION_START

    public static final int MTP2_ALARM_SL_CONGESTION_START

  Alarm Type Constant: Link entered congestion due to management initiated or unknown reason.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_congestion_start".

### MTP2_ALARM_SL_CONGESTION_STOP

    public static final int MTP2_ALARM_SL_CONGESTION_STOP

  Alarm Type Constant: Link leaving congestion due to management initiated or unknown reason.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_congestion_stop".

### MTP2_ALARM_SL_UP_PHYSICAL

    public static final int MTP2_ALARM_SL_UP_PHYSICAL

  Alarm Type Constant: Link is up at physical level.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_up_physical"

### MTP2_ALARM_SL_DOWN_PHYSICAL

    public static final int MTP2_ALARM_SL_DOWN_PHYSICAL

  Alarm Type Constant: Link is down at physical level.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_down_physical".

### MTP2_ALARM_SL_ALIGNED

    public static final int MTP2_ALARM_SL_ALIGNED

  Alarm Type Constant: Link aligned.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.sl_aligned".

### MTP2_ALARM_SL_NOT_ALIGNED

    public static final int MTP2_ALARM_SL_NOT_ALIGNED

  Alarm Type Constant: Link not aligned.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm".

### MTP2_ALARM_RETRANSMIT_Q_FULL

    public static final int MTP2_ALARM_RETRANSMIT_Q_FULL

  Alarm Type Constant: Retransmit queue full.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.retransmit_q_full".

### MTP2_ALARM_RETRANSMIT_Q_NOT_FULL

    public static final int MTP2_ALARM_RETRANSMIT_Q_NOT_FULL

  Alarm Type Constant: Retransmit queue is no longer full.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.retransmit_q_not_full".

### MTP2_ALARM_REMOTE_CONGESTION_START

    public static final int MTP2_ALARM_REMOTE_CONGESTION_START

  Alarm Type Constant: Remote end congestion started due to unknown cause.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.remote_congestion_start".

### MTP2_ALARM_REMOTE_CONGESTION_STOP

    public static final int MTP2_ALARM_REMOTE_CONGESTION_STOP

  Alarm Type Constant: Remote end congestion stopped.

  Emitted By: Mtp2Saps
  Notification Type: "jain.protocol.ss7.oam.mtp2.alarm.remote_congestion_stop".

Constructor Detail

### Mtp2AlarmNotification

    public Mtp2AlarmNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int priority,
                                 int alarmType)
                          throws java.lang.IllegalArgumentException

  Constructs a new `Mtp2AlarmNotification`.
  Parameters:
    `source` - The Managed MBean that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `priority` - The priority of this Mtp2AlarmNotification. This may be either (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this Notification does not affect the functional state of the system and may be ignored.
       This Mtp2AlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this Mtp2AlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this Mtp2AlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical network element associated with the MBean that emitted this Mtp2AlarmNotification.
       Immediate recovery action is required.
    `alarmType` - The type of this alarm. This may be any one of the Alarm Type constants defined in this class, or one of those inherited from OamAlarmNotification.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems